%define languageenglazy Nepali
%define languagecode    ne
%define lc_ctype        ne_NP

Name:           hunspell-%{languagecode}
Version:        20080425
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2
Group:          System/Internationalization
URL:            http://nepalinux.org/downloads
Source0:        http://nepalinux.org/downloads/ne_NP_dict.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ne
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ne_IN = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ne_IN = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

ne_NP_aliases="ne_IN"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $ne_NP_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $ne_NP_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ne_NP.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 20080425-5.mga2
+ Revision: 224768
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 20080425-4.mga2
+ Revision: 209020
- use better obsoleting of myspell

* Tue Feb 07 2012 kamil <kamil> 20080425-3.mga2
+ Revision: 206059
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 20080425-2.mga1
+ Revision: 68979
- imported package hunspell-ne

